summaryrefslogtreecommitdiff
path: root/src/pmdas/zimbra/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/zimbra/Install')
-rwxr-xr-xsrc/pmdas/zimbra/Install33
1 files changed, 33 insertions, 0 deletions
diff --git a/src/pmdas/zimbra/Install b/src/pmdas/zimbra/Install
new file mode 100755
index 0000000..8bff154
--- /dev/null
+++ b/src/pmdas/zimbra/Install
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Copyright (c) 2009 Aconex. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the Zimbra PMDA
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=zimbra
+perl_opt=true
+daemon_opt=false
+forced_restart=false
+
+if ! test -d /opt/zimbra/zmstat ; then
+ echo "Zimbra does not appear to be installed (no /opt/zimbra/zmstat)"
+ echo "Pushing on regardless, but no metric values exist initially."
+fi
+
+pmdaSetup
+pmdaInstall
+exit 0